#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: conv_coord.tcl,v 2.43 2004/06/17 23:04:30 vltsccm Exp $"
#
# who        when        what
# --------   --------    ----------------------------------------------
# W.Hummel   04.Mar.99   created 

#************************************************************************
#   NAME             
#   CONV_COORD - Tcl class           
# 
#   NAMESPACE
#       fors
#
#   SYNOPSIS         
#       CONV_COORD image ?-eqx <equinox>?
#       
#   PARENT CLASS
#       none 
#
#   DESCRIPTION      
#       Handling of coordinate conversion. This class simply 
#       collects the two parent classes CONV_WC and CONV_MC 
#       to be used by the FORS class.   
#
#   OPTIONS
#
#   PUBLIC METHODS
#
#   PUBLIC DATA MEMBERS
#       eqx         2000.0
#
#   PROTECTED METHODS
#
#   PROTECTED DATA MEMBERS
#
#   PRIVATE METHODS
#
#   PRIVATE DATA MEMBERS
#       m_canvas,m_image  
#
#   COMMANDS
#       CONV_COORD C_conv_coord {m_image equinox} 
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#------------------------------------------------------------------------
#
#23456789 123456789 123456789 123456789 123456789 123456789 123456789 1234567890
#


itk::usual FORS {}

# create a class for the application

namespace eval fors {

class CONV_COORD {
       
      inherit CONV_MC CONV_WC 

constructor { args } {
     puts stdout "$this:constructor"
     eval configure $args
     }

destructor {
     puts stdout "$this: destructor"
     }


    }
    # end of the class CONV_COORD 

}
# end of namespace

# fors::CONV_COORDS                
#
# ___oOo___

